import 'package:flutter/material.dart';
import 'package:hoshan/ui/theme/colors.dart';

final ThemeData lightDefaultTheme = ThemeData(
    scrollbarTheme: ScrollbarThemeData(
        radius: const Radius.circular(100),
        thumbColor: WidgetStateProperty.all(AppColors.primaryColor[200]),
        trackColor: WidgetStateProperty.all(AppColors.black[50])),
    brightness: Brightness.light,
    popupMenuTheme: const PopupMenuThemeData(
        surfaceTintColor: Colors.transparent, color: Colors.white),
    appBarTheme: const AppBarTheme(
        surfaceTintColor: Colors.white, backgroundColor: Colors.white),
    primaryColor: AppColors.primaryColor.defaultShade,
    bottomSheetTheme: const BottomSheetThemeData(
        surfaceTintColor: Colors.transparent, backgroundColor: Colors.white),
    scaffoldBackgroundColor: AppColors.gray[200],
    dialogTheme: const DialogThemeData(
      backgroundColor: Colors.white,
      surfaceTintColor: Colors.white,
    ),
    textSelectionTheme: TextSelectionThemeData(
      cursorColor: AppColors.secondryColor[200], // Cursor color
      selectionColor: AppColors.secondryColor[200], // Highlight color
      selectionHandleColor: AppColors.secondryColor[200], // Handle color
    ),
    colorScheme: ColorScheme.light(
        primary: AppColors.primaryColor.defaultShade,
        secondary: AppColors.secondryColor.defaultShade,
        onSurface: const Color(0xff181818),
        surface: Colors.white));
final ThemeData darkThemeDefault = ThemeData(
  scrollbarTheme: ScrollbarThemeData(
      radius: const Radius.circular(100),
      thumbColor: WidgetStateProperty.all(AppColors.primaryColor.defaultShade),
      trackColor: WidgetStateProperty.all(AppColors.black[50])),
  brightness: Brightness.dark,
  popupMenuTheme: const PopupMenuThemeData(
      surfaceTintColor: Colors.transparent, color: Color(0xff292B2E)),
  appBarTheme: const AppBarTheme(
      surfaceTintColor: Color(0xff1f2123), backgroundColor: Color(0xff1f2123)),
  dialogTheme: const DialogThemeData(
    backgroundColor: Color(0xff1c1c1c),
    surfaceTintColor: Color(0xff1c1c1c),
  ),
  textSelectionTheme: const TextSelectionThemeData(
    cursorColor: Color(0xffed54ab), // Cursor color
    selectionColor: Color(0xffed54ab), // Highlight color
    selectionHandleColor: Color(0xffed54ab), // Handle color
  ),
  bottomSheetTheme: const BottomSheetThemeData(
      surfaceTintColor: Colors.transparent, backgroundColor: Color(0xff1f2123)),
  scaffoldBackgroundColor: const Color(0xff292B2E),
  primaryColor: const Color(0xff5f8fdd),
  colorScheme: const ColorScheme.dark(
      primary: Color(0xff5f8fdd),
      secondary: Color(0xffed54ab),
      onSurface: Color(0xffe3ecfc),
      surface: Color(0xff1f2123)),
);
